Languages
curl --request GET \
--url https://api.themoviedb.org/3/configuration/languages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/configuration/languages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/configuration/languages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/configuration/languages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/configuration/languages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/configuration/languages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/configuration/languages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"iso_639_1": "bi",
"english_name": "Bislama",
"name": ""
},
{
"iso_639_1": "cs",
"english_name": "Czech",
"name": "Český"
},
{
"iso_639_1": "ba",
"english_name": "Bashkir",
"name": ""
},
{
"iso_639_1": "ae",
"english_name": "Avestan",
"name": ""
},
{
"iso_639_1": "av",
"english_name": "Avaric",
"name": ""
},
{
"iso_639_1": "de",
"english_name": "German",
"name": "Deutsch"
},
{
"iso_639_1": "mt",
"english_name": "Maltese",
"name": "Malti"
},
{
"iso_639_1": "om",
"english_name": "Oromo",
"name": ""
},
{
"iso_639_1": "rm",
"english_name": "Raeto-Romance",
"name": ""
},
{
"iso_639_1": "so",
"english_name": "Somali",
"name": "Somali"
},
{
"iso_639_1": "ts",
"english_name": "Tsonga",
"name": ""
},
{
"iso_639_1": "vi",
"english_name": "Vietnamese",
"name": "Tiếng Việt"
},
{
"iso_639_1": "gn",
"english_name": "Guarani",
"name": ""
}
]CONFIGURATION
Languages
This endpoint get the list of languages (ISO 639-1 tags) used throughout TMDB.
Request Body
| Field Name | Type | Description |
|---|---|---|
| iso_639_1 | string | The ISO 3166-1 alpha-2 country code, representing a unique identifier for each country |
| english_name | string | The official or widely recognized English name of the country |
| name | string | The name of the country |
GET
/
configuration
/
languages
Languages
curl --request GET \
--url https://api.themoviedb.org/3/configuration/languages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/configuration/languages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/configuration/languages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/configuration/languages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/configuration/languages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/configuration/languages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/configuration/languages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"iso_639_1": "bi",
"english_name": "Bislama",
"name": ""
},
{
"iso_639_1": "cs",
"english_name": "Czech",
"name": "Český"
},
{
"iso_639_1": "ba",
"english_name": "Bashkir",
"name": ""
},
{
"iso_639_1": "ae",
"english_name": "Avestan",
"name": ""
},
{
"iso_639_1": "av",
"english_name": "Avaric",
"name": ""
},
{
"iso_639_1": "de",
"english_name": "German",
"name": "Deutsch"
},
{
"iso_639_1": "mt",
"english_name": "Maltese",
"name": "Malti"
},
{
"iso_639_1": "om",
"english_name": "Oromo",
"name": ""
},
{
"iso_639_1": "rm",
"english_name": "Raeto-Romance",
"name": ""
},
{
"iso_639_1": "so",
"english_name": "Somali",
"name": "Somali"
},
{
"iso_639_1": "ts",
"english_name": "Tsonga",
"name": ""
},
{
"iso_639_1": "vi",
"english_name": "Vietnamese",
"name": "Tiếng Việt"
},
{
"iso_639_1": "gn",
"english_name": "Guarani",
"name": ""
}
]